# DataExchange
TKXSBase
Transfer

# Transfer_TransferInput Class Reference

A TransferInput is a Tool which fills an InterfaceModel with
the result of the Transfer of CasCade Objects, once determined
The Result comes from a TransferProcess, either from
Transient (the Complete Result is considered, it must contain
only Transient Objects)
.

`#include <Transfer_TransferInput.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Transfer_TransferInput ()
| Creates a TransferInput ready to use .
Standard_EXPORT Interface_EntityIterator | Entities (Transfer_TransferIterator &list) const
| Takes the transient items stored in a TransferIterator .
Standard_EXPORT void | FillModel (const Handle(Transfer_TransientProcess)&proc, const Handle(Interface_InterfaceModel)&amodel) const
| Fills an InterfaceModel with the Complete Result of a Transfer stored in a TransientProcess (Starting Objects are Transient) The complete result is exactly added to the model .
Standard_EXPORT void | FillModel (const Handle(Transfer_TransientProcess)&proc, const Handle(Interface_InterfaceModel)&amodel, const Handle(Interface_Protocol)&proto, const Standard_Boolean roots=Standard_True) const
| Fills an InterfaceModel with results of the Transfer recorded in a TransientProcess (Starting Objects are Transient) : Root Result if <roots> is True (Default), Complete Result else The entities added to the model are determined from the result by by adding the referenced entities .
Standard_EXPORT void | FillModel (const Handle(Transfer_FinderProcess)&proc, const Handle(Interface_InterfaceModel)&amodel) const
| Fills an InterfaceModel with the Complete Result of a Transfer stored in a TransientProcess (Starting Objects are Transient) The complete result is exactly added to the model .
Standard_EXPORT void | FillModel (const Handle(Transfer_FinderProcess)&proc, const Handle(Interface_InterfaceModel)&amodel, const Handle(Interface_Protocol)&proto, const Standard_Boolean roots=Standard_True) const
| Fills an InterfaceModel with results of the Transfer recorded in a TransientProcess (Starting Objects are Transient) : Root Result if <roots> is True (Default), Complete Result else The entities added to the model are determined from the result by by adding the referenced entities .

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_TransferInput::Transfer_TransferInput | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Interface_EntityIterator Transfer_TransferInput::Entities | ( | Transfer_TransferIterator & | list | ) | const

Standard_EXPORT void Transfer_TransferInput::FillModel | ( | const Handle(Transfer_FinderProcess)& | proc,
|  | const Handle(Interface_InterfaceModel)& | amodel,
|  | const Handle(Interface_Protocol)& | proto,
|  | const Standard_Boolean | roots = `Standard_True`
| ) | const

Standard_EXPORT void Transfer_TransferInput::FillModel | ( | const Handle(Transfer_FinderProcess)& | proc,
|  | const Handle(Interface_InterfaceModel)& | amodel
| ) | const

Standard_EXPORT void Transfer_TransferInput::FillModel | ( | const Handle(Transfer_TransientProcess)& | proc,
|  | const Handle(Interface_InterfaceModel)& | amodel,
|  | const Handle(Interface_Protocol)& | proto,
|  | const Standard_Boolean | roots = `Standard_True`
| ) | const

Standard_EXPORT void Transfer_TransferInput::FillModel | ( | const Handle(Transfer_TransientProcess)& | proc,
|  | const Handle(Interface_InterfaceModel)& | amodel
| ) | const

void Transfer_TransferInput::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Transfer_TransferInput::operator new | ( | size_t | size | ) | `[inline]`

void* Transfer_TransferInput::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- Transfer_TransferInput.hxx